﻿using System;
using Android.OS;
using Xamarin.Forms;

[assembly: Dependency(typeof(XamarinMpSDKDemo.Droid.PlatformPathInfo))]

namespace XamarinMpSDKDemo.Droid
{
    public class PlatformPathInfo: IPlatformPathInfo
    {
        public string GetAbsolutePath()
        {
            Java.IO.File sdCard = Android.OS.Environment.ExternalStorageDirectory;
            if(sdCard != null)
                return sdCard.AbsolutePath;
            return "";
        }
    }
}
